de.caff.generics

## Class IteratorEnumeration<T>

- java.lang.Object
- - de.caff.generics.IteratorEnumeration<T>

- All Implemented Interfaces:
    java.util.Enumeration<T>

      public class IteratorEnumeration<T>
      extends java.lang.Object
      implements java.util.Enumeration<T>

  Enumeration wrapper for an iterator.
  Author:
    Rammi
  See Also:
    `)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IteratorEnumeration(java.util.Iterator<T> iterator)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()` Tests if this enumeration contains more elements.
    `T` | `nextElement()` Returns the next element of this enumeration if this enumeration object has at least one more element to provide.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IteratorEnumeration

          public IteratorEnumeration(@NotNull
                                     java.util.Iterator<T> iterator)

      Constructor.
      Parameters:
        `iterator` - the wrapped iterator

  - ### Method Detail

    - #### hasMoreElements

          public boolean hasMoreElements()

      Tests if this enumeration contains more elements.
      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration<T>`
      Returns:
        `true` if and only if this enumeration object contains at least one more element to provide; `false` otherwise.

    - #### nextElement

          public T nextElement()

      Returns the next element of this enumeration if this enumeration object has at least one more element to provide.
      Specified by:
        `nextElement` in interface `java.util.Enumeration<T>`
      Returns:
        the next element of this enumeration.
      Throws:
        `java.util.NoSuchElementException` - if no more elements exist.